Create OAuth app
curl --request POST \
--url https://api.example.com/api/v1/oauth-apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"redirect_uris": [
"<string>"
],
"scopes": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/v1/oauth-apps"
payload = {
"name": "<string>",
"redirect_uris": ["<string>"],
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', redirect_uris: ['<string>'], scopes: ['<string>']})
};
fetch('https://api.example.com/api/v1/oauth-apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": {
"client_id": "<string>",
"client_secret_hint": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_active": true,
"name": "<string>",
"organization_id": "<string>",
"redirect_uris": [
"<string>"
],
"scopes": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
},
"client_secret": "<string>"
}{
"message": "<string>"
}OAuth Apps
Create OAuth app
Register a new OAuth application. Returns the app with its client secret (only shown once).
POST
/
api
/
v1
/
oauth-apps
Create OAuth app
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I